Skip to main content
GET
/
calls
List calls
curl --request GET \
  --url https://api.amplemarket.com/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.amplemarket.com/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.amplemarket.com/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "calls": [
    {
      "id": "019f3cf5-486e-7813-99d9-b1ce365e13fb",
      "disposition_id": null,
      "duration": null,
      "external": false,
      "start_date": "2026-07-07T14:21:15Z",
      "from": "+351999999999",
      "to": "+351888888888",
      "notes": null,
      "transcription": null,
      "task_id": null,
      "user_id": "019f3cf5-45e1-751f-9b90-e6dea388985f",
      "human": false,
      "answered": null,
      "contact": null
    },
    {
      "id": "019f3cf5-477b-7541-8417-26f000310103",
      "disposition_id": null,
      "duration": null,
      "external": false,
      "start_date": "2026-07-07T14:21:15Z",
      "from": "+351999999999",
      "to": "+351888888888",
      "notes": null,
      "transcription": null,
      "task_id": null,
      "user_id": "019f3cf5-45e1-751f-9b90-e6dea388985f",
      "human": false,
      "answered": null,
      "contact": null
    },
    {
      "id": "019f3cf5-46df-7630-ac98-88e5c95c3c29",
      "disposition_id": null,
      "duration": null,
      "external": false,
      "start_date": "2026-07-07T14:21:15Z",
      "from": "+351999999999",
      "to": "+351888888888",
      "notes": null,
      "transcription": null,
      "task_id": null,
      "user_id": "019f3cf5-45e1-751f-9b90-e6dea388985f",
      "human": false,
      "answered": null,
      "contact": null
    }
  ],
  "_links": {
    "self": {
      "href": "/calls?page[size]=20"
    }
  }
}
{
"_errors": [
{
"code": "unsupported_value",
"title": "Unsupported Value",
"detail": "Invalid date format"
}
],
"object": "error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[size]
string

Page size

page[after]
string

Page after

page[before]
string

Page before

user_id
string

Filter by user ID

from
string

Filter by call from number

to
string

Filter by call to number

start_date_from
string

Select calls starting after this date (ISO 8601 format)

start_date_to
string

Select calls starting before this date (ISO 8601 format)

Response

successful

calls
object[]